# Uses of Interface
org.bukkit.command.TabCompleter

Packages that use TabCompleter
Package
Description
org.bukkit.command
Classes relating to handling specialized non-chat player input.
org.bukkit.plugin
Classes specifically relating to loading software modules at runtime.
org.bukkit.plugin.java
Classes for handling `plugins` written in java.

## Uses of TabCompleter in org.bukkit.command

Subinterfaces of TabCompleter in org.bukkit.command
Modifier and Type
Interface
Description
`interface`
`TabExecutor`
This class is provided as a convenience to implement both TabCompleter and CommandExecutor.
Methods in org.bukkit.command that return TabCompleter
Modifier and Type
Method
Description
`@Nullable TabCompleter`
PluginCommand.`getTabCompleter()`
Gets the `TabCompleter` associated with this command.
Methods in org.bukkit.command with parameters of type TabCompleter
Modifier and Type
Method
Description
`void`
PluginCommand.`setTabCompleter(@Nullable TabCompleter completer)`
Sets the `TabCompleter` to run when tab-completing this command.

## Uses of TabCompleter in org.bukkit.plugin

Subinterfaces of TabCompleter in org.bukkit.plugin
Modifier and Type
Interface
Description
`interface`
`Plugin`
Represents a Plugin
Classes in org.bukkit.plugin that implement TabCompleter
Modifier and Type
Class
Description
`class`
`PluginBase`
Represents a base `Plugin`

## Uses of TabCompleter in org.bukkit.plugin.java

Classes in org.bukkit.plugin.java that implement TabCompleter
Modifier and Type
Class
Description
`class`
`JavaPlugin`
Represents a Java plugin